"""empty message

Revision ID: 62a6b95d85fa
Revises: 120c03567cb3
Create Date: 2021-08-23 08:44:02.844830

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "62a6b95d85fa"
down_revision = "120c03567cb3"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "project",
        sa.Column(
            "kinetic_summary",
            postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        ),
    )
    op.drop_column("project", "fitted_model")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "project",
        sa.Column(
            "fitted_model",
            postgresql.JSON(astext_type=sa.Text()),
            autoincrement=False,
            nullable=True,
        ),
    )
    op.drop_column("project", "kinetic_summary")
    # ### end Alembic commands ###
